Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.query.larq
Class LARQ

    java.lang.Object
      com.hp.hpl.jena.query.larq.LARQ

    public class LARQ

extends java.lang.Object

Field Summary
`static java.lang.String` | `fBNodeID`
`static java.lang.String` | `fDataType`
`static java.lang.String` | `fIndex`
`static java.lang.String` | `fLang`
`static java.lang.String` | `fLex`
`static java.lang.String` | `fURI`
`static com.hp.hpl.jena.sparql.util.Symbol` | `indexKey`

Constructor Summary
`LARQ()`

Method Summary
`static com.hp.hpl.jena.graph.Node` | `build(org.apache.lucene.document.Document doc)`
`static IndexLARQ` | `getDefaultIndex()`
`static IndexLARQ` | `getDefaultIndex(com.hp.hpl.jena.sparql.util.Context context)`
`static void` | `index(org.apache.lucene.document.Document doc, com.hp.hpl.jena.graph.Node indexNode)`
`static void` | `index(org.apache.lucene.document.Document doc, java.io.Reader indexContent)`
`static void` | `index(org.apache.lucene.document.Document doc, java.lang.String indexContent)`
`static boolean` | `isString(com.hp.hpl.jena.rdf.model.Literal literal)`
`static void` | `removeDefaultIndex()`
`static void` | `removeDefaultIndex(com.hp.hpl.jena.sparql.util.Context context)`
`static void` | `setDefaultIndex(com.hp.hpl.jena.sparql.util.Context context, IndexLARQ index)`
`static void` | `setDefaultIndex(IndexLARQ index)`
`static void` | `store(org.apache.lucene.document.Document doc, com.hp.hpl.jena.graph.Node node)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fIndex

    public static final java.lang.String fIndex

See Also:
  Constant Field Values

### fLex

    public static final java.lang.String fLex

See Also:
  Constant Field Values

### fLang

    public static final java.lang.String fLang

See Also:
  Constant Field Values

### fDataType

    public static final java.lang.String fDataType

See Also:
  Constant Field Values

### fURI

    public static final java.lang.String fURI

See Also:
  Constant Field Values

### fBNodeID

    public static final java.lang.String fBNodeID

See Also:
  Constant Field Values

### indexKey

    public static final com.hp.hpl.jena.sparql.util.Symbol indexKey

Constructor Detail

### LARQ

    public LARQ()

Method Detail

### setDefaultIndex

    public static void setDefaultIndex(IndexLARQ index)

### setDefaultIndex

    public static void setDefaultIndex(com.hp.hpl.jena.sparql.util.Context context,
                                       IndexLARQ index)

### getDefaultIndex

    public static IndexLARQ getDefaultIndex()

### getDefaultIndex

    public static IndexLARQ getDefaultIndex(com.hp.hpl.jena.sparql.util.Context context)

### removeDefaultIndex

    public static void removeDefaultIndex()

### removeDefaultIndex

    public static void removeDefaultIndex(com.hp.hpl.jena.sparql.util.Context context)

### index

    public static void index(org.apache.lucene.document.Document doc,
                             com.hp.hpl.jena.graph.Node indexNode)

### index

    public static void index(org.apache.lucene.document.Document doc,
                             java.lang.String indexContent)

### index

    public static void index(org.apache.lucene.document.Document doc,
                             java.io.Reader indexContent)

### store

    public static void store(org.apache.lucene.document.Document doc,
                             com.hp.hpl.jena.graph.Node node)

### build

    public static com.hp.hpl.jena.graph.Node build(org.apache.lucene.document.Document doc)

### isString

    public static boolean isString(com.hp.hpl.jena.rdf.model.Literal literal)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP